org.keycloak.authorization.config

## Class Configuration

- java.lang.Object
- - org.keycloak.authorization.config.Configuration

-     public class Configuration
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Configuration` | `fromDefault(String authzServerUri, String realm, URI authorizationEndpoint, URI tokenEndpoint, String publicKeyPem)`
    `List<String>` | `getAatGrantTypes()`
    `List<String>` | `getAatProfiles()`
    `URI` | `getAuthorizationEndpoint()`
    `List<String>` | `getClaimTokenProfiles()`
    `URI` | `getDynamicClientEndpoint()`
    `URI` | `getIntrospectionEndpoint()`
    `URI` | `getIssuer()`
    `List<String>` | `getPatGrantTypes()`
    `List<String>` | `getPatProfiles()`
    `URI` | `getPermissionRegistrationEndpoint()`
    `String` | `getRealm()`
    `String` | `getRealmPublicKey()`
    `URI` | `getRequestingPartyClaimsEndpoint()`
    `URI` | `getResourceSetRegistrationEndpoint()`
    `URI` | `getRptEndpoint()`
    `List<String>` | `getRptProfiles()`
    `URI` | `getServerUrl()`
    `URI` | `getTokenEndpoint()`
    `String` | `getVersion()`
    `void` | `setRealm(String realm)`
    `void` | `setRealmPublicKey(String realmPublicKey)`
    `void` | `setServerUrl(URI serverUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### fromDefault

          public static final Configuration fromDefault(String authzServerUri,
                                                        String realm,
                                                        URI authorizationEndpoint,
                                                        URI tokenEndpoint,
                                                        String publicKeyPem)

    - #### getVersion

          public String getVersion()

    - #### getIssuer

          public URI getIssuer()

    - #### getPatProfiles

          public List<String> getPatProfiles()

    - #### getPatGrantTypes

          public List<String> getPatGrantTypes()

    - #### getAatProfiles

          public List<String> getAatProfiles()

    - #### getAatGrantTypes

          public List<String> getAatGrantTypes()

    - #### getRptProfiles

          public List<String> getRptProfiles()

    - #### getClaimTokenProfiles

          public List<String> getClaimTokenProfiles()

    - #### getDynamicClientEndpoint

          public URI getDynamicClientEndpoint()

    - #### getTokenEndpoint

          public URI getTokenEndpoint()

    - #### getAuthorizationEndpoint

          public URI getAuthorizationEndpoint()

    - #### getRequestingPartyClaimsEndpoint

          public URI getRequestingPartyClaimsEndpoint()

    - #### getResourceSetRegistrationEndpoint

          public URI getResourceSetRegistrationEndpoint()

    - #### getIntrospectionEndpoint

          public URI getIntrospectionEndpoint()

    - #### getPermissionRegistrationEndpoint

          public URI getPermissionRegistrationEndpoint()

    - #### getRptEndpoint

          public URI getRptEndpoint()

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getServerUrl

          public URI getServerUrl()

    - #### setServerUrl

          public void setServerUrl(URI serverUrl)

    - #### setRealmPublicKey

          public void setRealmPublicKey(String realmPublicKey)

    - #### getRealmPublicKey

          public String getRealmPublicKey()

Copyright © 2016 JBoss by Red Hat. All rights reserved.